## krusader 2.8.1

=== app/CMakeLists.txt ===
configure_file(krusaderversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/krusaderversion.h)

add_subdirectory(ActionMan)
add_subdirectory(Archive)
add_subdirectory(BookMan)
add_subdirectory(Dialogs)
add_subdirectory(DiskUsage)
add_subdirectory(FileSystem)
add_subdirectory(Filter)
add_subdirectory(GUI)
add_subdirectory(Konfigurator)
add_subdirectory(KViewer)
add_subdirectory(JobMan)
add_subdirectory(Locate)
add_subdirectory(MountMan)
add_subdirectory(Panel)
add_subdirectory(Search)
add_subdirectory(Splitter)
add_subdirectory(UserAction)
add_subdirectory(resources)

if(SYNCHRONIZER_ENABLED)
    add_subdirectory(Synchronizer)
endif(SYNCHRONIZER_ENABLED)

set(krusader_SRCS
    krglobal.cpp
    icon.cpp
    filelisticon.cpp
    actionsbase.cpp
    tabactions.cpp
    kractions.cpp
    paneltabbar.cpp
    panelmanager.cpp
    krservices.cpp
    main.cpp
    krusaderview.cpp
    krusader.cpp
    krslots.cpp
    krdebuglogger.cpp
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-krusader_user.png")
ecm_add_app_icon(krusader_SRCS ICONS ${ICONS_SRCS})

qt5_add_resources(krusader_RC_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc" )

add_executable(krusader ${krusader_SRCS} ${krusader_RC_SRCS})

target_link_libraries(krusader
                      Panel
                      PanelView
                      BookMan
                      Dialogs
                      DiskUsage
                      GUI
                      Konfigurator
                      KViewer
                      MountMan
                      FileSystem
                      Search
                      Splitter
                      Locate
                      UserAction
                      ActionMan
                      KViewer
                      Filter
                      Dialogs
                      GUI
                      Archive
                      JobMan
                      KF5::Notifications
                      KF5::Parts
                      KF5::WindowSystem
                      Qt5::PrintSupport
                      Qt5::Concurrent
)

if(SYNCHRONIZER_ENABLED)
    target_link_libraries( krusader Synchronizer )
endif(SYNCHRONIZER_ENABLED)

install(TARGETS krusader ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krusader.desktop
        DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES krusaderui.rc
              krusaderlisterui.rc
              krviewer.rc
        DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/krusader)
install(FILES midnight_commander.color
              total_commander.color
              total_commander.keymap
              total_commander.keymap.info
              useraction_examples.xml
              layout.xml
              splash.png
        DESTINATION ${KDE_INSTALL_DATADIR}/krusader)
install(FILES org.kde.krusader.appdata.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
    icons/16-apps-krusader_blue.png
    icons/16-apps-krusader_red.png
    icons/16-apps-krusader_root.png
    icons/16-apps-krusader_user.png
    icons/22-apps-krusader_blue.png
    icons/22-apps-krusader_red.png
    icons/22-apps-krusader_root.png
    icons/22-apps-krusader_shield.png
    icons/22-apps-krusader_user.png
    icons/32-apps-krusader_blue.png
    icons/32-apps-krusader_red.png
    icons/32-apps-krusader_root.png
    icons/32-apps-krusader_shield.png
    icons/32-apps-krusader_user.png
    icons/48-apps-krusader_blue.png
    icons/48-apps-krusader_red.png
    icons/48-apps-krusader_root.png
    icons/48-apps-krusader_shield.png
    icons/48-apps-krusader_user.png
    icons/64-apps-krusader_blue.png
    icons/64-apps-krusader_red.png
    icons/64-apps-krusader_root.png
    icons/64-apps-krusader_shield.png
    icons/64-apps-krusader_user.png
    icons/128-apps-krusader_root.png
    icons/128-apps-krusader_user.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

=== app/ActionMan/CMakeLists.txt ===
set(ActionMan_SRCS
    actionman.cpp
    actionproperty.cpp
    addplaceholderpopup.cpp
    useractionlistview.cpp
    useractionpage.cpp)

ki18n_wrap_ui (
    ActionMan_SRCS
    actionproperty.ui
)

add_library(ActionMan STATIC ${ActionMan_SRCS})

target_link_libraries(ActionMan
    KF5::ConfigCore
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Notifications
    KF5::Parts
    KF5::WidgetsAddons
    Qt5::Xml
)

=== app/Archive/CMakeLists.txt ===
set(Archive_SRCS
    abstractthreadedjob.cpp
    krarchandler.cpp
    kr7zencryptionchecker.cpp
    packjob.cpp
    ../../plugins/krarc/krarcbasemanager.cpp
    ../../plugins/krarc/krlinecountingprocess.cpp
)

add_library(Archive STATIC ${Archive_SRCS})

target_link_libraries(Archive
    KF5::Archive
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Wallet
)

=== app/DiskUsage/CMakeLists.txt ===
include(radialMap/CMakeLists.txt)
include(filelightParts/CMakeLists.txt)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/filelightParts)

set(DiskUsage_SRCS
    diskusagegui.cpp
    diskusage.cpp
    dulistview.cpp
    dulines.cpp
    dufilelight.cpp )

add_library(DiskUsage STATIC ${DiskUsage_SRCS} ${radialMap_SRCS} ${filelightParts_SRCS})

target_link_libraries(DiskUsage
    KF5::ConfigWidgets
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WidgetsAddons
)

=== app/GUI/CMakeLists.txt ===
set(GUI_SRCS
    dirhistorybutton.cpp
    krusaderstatus.cpp
    kfnkeys.cpp
    kcmdline.cpp
    profilemanager.cpp
    krhistorycombobox.cpp
    krremoteencodingmenu.cpp
    krtreewidget.cpp
    krstyleproxy.cpp
    krlistwidget.cpp
    mediabutton.cpp
    kcmdmodebutton.cpp
    recentlyclosedtabsmenu.cpp
    terminaldock.cpp)

add_library(GUI STATIC ${GUI_SRCS})

target_link_libraries(GUI
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::IconThemes
    KF5::Parts
    KF5::Service
    KF5::Solid
    KF5::WidgetsAddons
)

=== app/KViewer/CMakeLists.txt ===
set(KViewer_SRCS
    krviewer.cpp
    panelviewer.cpp
    diskusageviewer.cpp
    lister.cpp
    viewertabbar.cpp)

add_library(KViewer STATIC ${KViewer_SRCS})

target_link_libraries(KViewer
    Qt5::PrintSupport
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::Parts
    KF5::WidgetsAddons
    KF5::XmlGui
)

=== app/Konfigurator/CMakeLists.txt ===
set(Konfigurator_SRCS
    kgcolors.cpp
    kgdependencies.cpp
    konfiguratorpage.cpp
    konfiguratoritems.cpp
    konfigurator.cpp
    kgstartup.cpp
    kgpanel.cpp
    kggeneral.cpp
    kgarchives.cpp
    kgadvanced.cpp
    kguseractions.cpp
    kgprotocols.cpp
    krresulttable.cpp
    krresulttabledialog.cpp
    searchobject.cpp)

add_library(Konfigurator STATIC ${Konfigurator_SRCS})

target_link_libraries(Konfigurator
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::WidgetsAddons
    KF5::GuiAddons
    Qt5::Xml
)

=== app/Locate/CMakeLists.txt ===
set(Locate_SRCS
    locate.cpp)

add_library(Locate STATIC ${Locate_SRCS})

target_link_libraries(Locate
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::Completion
    KF5::KIOCore
    KF5::I18n
    KF5::IconThemes
    KF5::Parts
    KF5::TextWidgets
    KF5::WidgetsAddons
)

=== app/MountMan/CMakeLists.txt ===
set(MountMan_SRCS
    kmountmangui.cpp
    kmountman.cpp)

add_library(MountMan STATIC ${MountMan_SRCS})

target_link_libraries(MountMan
    Dialogs
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::WidgetsAddons
    KF5::Solid
)

=== app/Search/CMakeLists.txt ===
set(Search_SRCS
    krsearchmod.cpp
    krsearchdialog.cpp)

add_library(Search STATIC ${Search_SRCS})

target_link_libraries(Search
    Dialogs
    KF5::I18n
    KF5::KIOCore
    KF5::WidgetsAddons
)

=== doc/handbook/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR krusader)
kdoctools_create_manpage(man-krusader.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== plugins/iso/CMakeLists.txt ===
include(FindZLIB)

include(libisofs/CMakeLists.txt)

set(kio_iso_PART_SRCS
    kisodirectory.cpp
    kisofile.cpp
    qfilehack.cpp
    kiso.cpp
    iso.cpp
    ../../app/krdebuglogger.cpp
)

kcoreaddons_add_plugin(kio_iso SOURCES ${kio_iso_PART_SRCS} ${libisofs_SRCS} INSTALL_NAMESPACE "kf5/kio")

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="krusader")

target_link_libraries(kio_iso
    KF5::Archive
    KF5::ConfigCore
    KF5::KIOCore
    ${ZLIB_LIBRARY}
)

install(FILES kio_isorc DESTINATION ${KDE_INSTALL_CONFDIR})

=== debian/changelog ===
krusader (2:2.8.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:04 +1100

krusader (2:2.8.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:19:47 +0000

krusader (2:2.8.1-0ubuntu1) noble; urgency=medium

  * New upstream bugfix release (2.8.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Mar 2024 08:46:33 +0000

=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libacl1-dev,
               libattr1-dev,
               libkf5archive-dev (>= 5.68.0~),
               libkf5bookmarks-dev (>= 5.68.0~),
               libkf5codecs-dev (>= 5.68.0~),
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5guiaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5itemviews-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5solid-dev (>= 5.68.0~),
               libkf5textwidgets-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.krusader.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krusader.git

Package: krusader
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-cli-tools, keditbookmarks, kio-extras
Suggests: arj,
          ark,
          bzip2,
          cpio,
          kate,
          kdiff3 | kompare | xxdiff,
          kmail,
          konsole,
          krename,
          lha,
          md5deep | cfv,
          okteta,
          p7zip,
          rpm,
          unace,
          unrar | unrar-free | rar [amd64 i386],
          unzip,
          zip,
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

## krusader 2.9.0

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-krusader_user.png")
 ecm_add_app_icon(krusader_SRCS ICONS ${ICONS_SRCS})
 
-qt5_add_resources(krusader_RC_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc" )
+qt_add_resources(krusader_RC_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc" )
 
 add_executable(krusader ${krusader_SRCS} ${krusader_RC_SRCS})
 
@@ -69,11 +69,13 @@
                       GUI
                       Archive
                       JobMan
-                      KF5::Notifications
-                      KF5::Parts
-                      KF5::WindowSystem
-                      Qt5::PrintSupport
-                      Qt5::Concurrent
+                      KF6::GlobalAccel
+                      KF6::Notifications
+                      KF6::Parts
+                      KF6::WindowSystem
+                      KF6::Crash
+                      Qt6::PrintSupport
+                      Qt6::Concurrent
 )
 
 if(SYNCHRONIZER_ENABLED)
@@ -86,7 +88,7 @@
 install(FILES krusaderui.rc
               krusaderlisterui.rc
               krviewer.rc
-        DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/krusader)
+        DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/krusader)
 install(FILES midnight_commander.color
               total_commander.color
               total_commander.keymap

=== app/ActionMan/CMakeLists.txt ===
set(ActionMan_SRCS
    actionman.cpp
    actionproperty.cpp
    addplaceholderpopup.cpp
    useractionlistview.cpp
    useractionpage.cpp)

ki18n_wrap_ui (
    ActionMan_SRCS
    actionproperty.ui
)

add_library(ActionMan STATIC ${ActionMan_SRCS})

target_link_libraries(ActionMan
    KF6::ConfigCore
    KF6::I18n
    KF6::IconThemes
    KF6::IconWidgets
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Notifications
    KF6::Parts
    KF6::WidgetsAddons
    KF6::TextWidgets
    KF6::StatusNotifierItem
    Qt6::Xml
)

=== app/Archive/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 add_library(Archive STATIC ${Archive_SRCS})
 
 target_link_libraries(Archive
-    KF5::Archive
-    KF5::I18n
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::Wallet
+    KF6::Archive
+    KF6::I18n
+    KF6::KIOCore
+    KF6::KIOWidgets
+    KF6::Wallet
 )

=== app/BookMan/CMakeLists.txt ===
set(BookMan_SRCS
    krbookmark.cpp
    krbookmarkbutton.cpp
    krbookmarkhandler.cpp
    kraddbookmarkdlg.cpp)

add_library(BookMan STATIC ${BookMan_SRCS})

target_link_libraries(BookMan
    KF6::Archive
    KF6::Bookmarks
    KF6::BookmarksWidgets
    KF6::Completion
    KF6::ConfigCore
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::I18n
    KF6::IconThemes
    KF6::KIOCore
    KF6::XmlGui
    Qt6::Xml
)

=== app/Dialogs/CMakeLists.txt ===
set(Dialogs_SRCS
    krsqueezedtextlabel.cpp
    packgui.cpp
    packguibase.cpp
    newftpgui.cpp
    krspwidgets.cpp
    krspecialwidgets.cpp
    krpleasewait.cpp
    krmaskchoice.cpp
    krdialogs.cpp
    kurllistrequester.cpp
    popularurls.cpp
    checksumdlg.cpp
    percentalsplitter.cpp
)

add_library(Dialogs STATIC ${Dialogs_SRCS})

target_link_libraries(Dialogs
    KF6::Archive
    KF6::Completion
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::I18n
    KF6::IconThemes
    KF6::ItemViews
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Notifications
    KF6::Parts
    KF6::WidgetsAddons
    KF6::StatusNotifierItem
)

=== app/DiskUsage/CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,11 @@
 add_library(DiskUsage STATIC ${DiskUsage_SRCS} ${radialMap_SRCS} ${filelightParts_SRCS})
 
 target_link_libraries(DiskUsage
-    KF5::ConfigWidgets
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::WidgetsAddons
+    KF6::Archive
+    KF6::ConfigWidgets
+    KF6::I18n
+    KF6::IconThemes
+    KF6::KIOCore
+    KF6::KIOWidgets
+    KF6::WidgetsAddons
 )

=== app/FileSystem/CMakeLists.txt ===
set(FileSystem_SRCS
    defaultfilesystem.cpp
    dirlisterinterface.cpp
    fileitem.cpp
    filesystem.cpp
    filesystemprovider.cpp
    krpermhandler.cpp
    krquery.cpp
    krtrashhandler.cpp
    sizecalculator.cpp
    virtualfilesystem.cpp
)

add_library(FileSystem STATIC ${FileSystem_SRCS})

target_link_libraries(FileSystem
    KF6::Archive
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    Qt6::Core5Compat # For QRegExp
)

if(ACL_FOUND)
    target_link_libraries(FileSystem ${ACL_LIBS})
endif(ACL_FOUND)

=== app/Filter/CMakeLists.txt ===
set(Filter_SRCS
    filtersettings.cpp
    advancedfilter.cpp
    generalfilter.cpp
    filtertabs.cpp
    filterdialog.cpp)

add_library(Filter STATIC ${Filter_SRCS})

target_link_libraries(Filter
    Dialogs
    KF6::Codecs
    KF6::ConfigCore
    KF6::I18n
    KF6::IconThemes
    KF6::WidgetsAddons
)

=== app/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,17 @@
 add_library(GUI STATIC ${GUI_SRCS})
 
 target_link_libraries(GUI
-    KF5::ConfigCore
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::IconThemes
-    KF5::Parts
-    KF5::Service
-    KF5::Solid
-    KF5::WidgetsAddons
+    KF6::Archive
+    KF6::ConfigCore
+    KF6::CoreAddons
+    KF6::Codecs
+    KF6::I18n
+    KF6::IconThemes
+    KF6::Parts
+    KF6::Service
+    KF6::Solid
+    KF6::WidgetsAddons
+    KF6::KIOFileWidgets
+    Qt6::Widgets
+    Qt6::Core5Compat
 )

=== app/JobMan/CMakeLists.txt ===
set(JobMan_SRCS
    jobman.cpp
    krjob.cpp)

add_library(JobMan STATIC ${JobMan_SRCS})

target_link_libraries(JobMan
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOWidgets
    KF6::WidgetsAddons
)

=== app/KViewer/CMakeLists.txt ===
set(KViewer_SRCS
    krviewer.cpp
    panelviewer.cpp
    diskusageviewer.cpp
    lister.cpp
    viewertabbar.cpp)

add_library(KViewer STATIC ${KViewer_SRCS})

target_link_libraries(KViewer
    Qt6::PrintSupport
    Qt6::Core5Compat
    KF6::Archive
    KF6::Codecs
    KF6::ConfigCore
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::IconThemes
    KF6::KIOWidgets
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::TextWidgets
    KF6::Service
    KF6::WindowSystem
    KF6::Parts
    KF6::WidgetsAddons
    KF6::XmlGui
)

=== app/Konfigurator/CMakeLists.txt ===
--- 
+++ 
@@ -18,13 +18,15 @@
 add_library(Konfigurator STATIC ${Konfigurator_SRCS})
 
 target_link_libraries(Konfigurator
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::ConfigCore
-    KF5::ConfigWidgets
-    KF5::WidgetsAddons
-    KF5::GuiAddons
-    Qt5::Xml
+    KF6::Archive
+    KF6::I18n
+    KF6::IconThemes
+    KF6::KIOCore
+    KF6::KIOWidgets
+    KF6::ConfigCore
+    KF6::ConfigWidgets
+    KF6::WidgetsAddons
+    KF6::GuiAddons
+    Qt6::Xml
+    Qt6::Core5Compat
 )

=== debian/changelog ===
krusader (2:2.9.0-2) unstable; urgency=medium

  * Drop the kinit dependency, as kinit is no more in KF6. (LP: #2097691)
  * Bump Standards-Version to 4.7.2, no changes required.
  * Stop suggesting rar (as alternative) on i386, as it is no more built on
    that architecture.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Mar 2025 07:49:16 +0100

krusader (2:2.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (2.9.0). (Closes: #1094395)
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch away from transitional p7zip dependency. (Closes: #1063583)
  * Use the KDE Extras Team as the maintainer.
  * Build with hardening=+all build hardening flag.
  * Review copyright information.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Jan 2025 07:53:20 +0100

krusader (2:2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 07:44:59 +0200

=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libacl1-dev,
               libattr1-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6bookmarks-dev (>= 5.240.0~),
               libkf6codecs-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6guiaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemviews-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               pkg-kde-tools (>= 0.15.16),
               qt6-5compat-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.4.0~),
               zlib1g-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.krusader.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krusader.git

Package: krusader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kde-cli-tools, keditbookmarks, kio-extras,
Suggests: arj,
          ark,
          bzip2,
          cpio,
          kate,
          kdiff3 | kompare | xxdiff,
          kmail,
          konsole,
          krename,
          lha,
          md5deep | cfv,
          okteta,
          7zip,
          rpm,
          unace,
          unrar | unrar-free | rar [amd64],
          unzip,
          zip,
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=4
https://download.kde.org/stable/krusader/([\d\.]+)/krusader-([\d\.]+)\.tar\.xz

## krusader 2.9.0+p24.04+vstable+git20250921.0640

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20250921.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:40:34 +0000

krusader (2:2.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Jan 2025 01:00:13 +0000

krusader (2:2.8.1-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Mar 2024 01:00:19 +0000

krusader (1:2.6.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Apr 2017 12:34:49 +0000

krusader (1:2.5.0-0neon) xenial; urgency=medium

  * Bump epoch

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Thu, 27 Oct 2016 09:57:30 +0200

krusader (2.5.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2016 18:44:43 +0000

krusader (2.4.0-0neon) xenial; urgency=medium

  * Initial release.

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Sat, 08 Oct 2016 17:08:51 +0200

## krusader 2.9.0+p24.04+vstable+git20250930.0322

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20250930.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:22:36 +0000

## krusader 2.9.0+p24.04+vstable+git20251017.0024

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20251017.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 00:24:29 +0000

## krusader 2.9.0+p24.04+vstable+git20251019.0351

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(krusader)

set(VERSION "2.9.1-dev")
set(RELEASE_NAME "Sixth Life")

set(CMAKE_CXX_STANDARD 17)

set(MIN_QT_VERSION "6.4.0")
set(KF6_MIN_VERSION "5.240.0")


# ===== Packages =====

find_package(ECM ${KF6_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(KDE_COMPILERSETTINGS_LEVEL "5.200")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt6 ${MIN_QT_VERSION} CONFIG REQUIRED COMPONENTS
  Concurrent
  Core
  Gui
  DBus
  Widgets
  PrintSupport
  Xml
  Core5Compat
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
  Archive
  Bookmarks
  Codecs
  Completion
  CoreAddons
  Config
  Crash
  DocTools
  GlobalAccel
  I18n
  IconThemes
  ItemViews
  KIO
  Notifications
  Parts
  Solid
  TextWidgets
  Wallet
  WidgetsAddons
  WindowSystem
  XmlGui
  GuiAddons
  StatusNotifierItem
)


# ===== Get GIT revision =====

execute_process(COMMAND git log --pretty=format:%h -n 1
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                OUTPUT_VARIABLE GIT_REVISION
                ERROR_QUIET)

# ===== Definitions =====

# Synchronizer is enabled by default, unless disabled from the command line (-DENABLE_SYNCHRONIZER=OFF)
option(ENABLE_SYNCHRONIZER "Enable Synchronizer" ON)

# If an old setting is being used, use the setting that complies with the structure of other Krusader settings.
if(ENABLE_SYNCHRONIZER)
    set(SYNCHRONIZER_ENABLED TRUE)
    add_definitions(-DSYNCHRONIZER_ENABLED)
else()
    set(SYNCHRONIZER_ENABLED FALSE)
endif()

# For security reasons, absolute kdesu path is set at build time and is not configurable.
if(NOT KDESU_PATH)
    set(KDESU_PATH "${KDE_INSTALL_FULL_LIBEXECDIR_KF}/kdesu")
endif()
add_definitions(-DKDESU_PATH="${KDESU_PATH}")
message(STATUS "kdesu path has been hard-coded: ${KDESU_PATH}")

add_definitions(-DKRARC_ENABLED)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Enable Krarc query, since MIN_KF_VERSION >= 5.23
add_definitions(-DKRARC_QUERY_ENABLED)


# ===== Additional checks =====

if (NOT CMAKE_INSTALL_PREFIX MATCHES "^/usr(/local)?/?$" AND NOT DEFINED KDE_INSTALL_QTPLUGINDIR
        AND NOT DEFINED KDE_INSTALL_USE_QT_SYS_PATHS)
    message(WARNING "CMAKE_INSTALL_PREFIX is not set to a standard location (/usr or /usr/local), \
                     krarc:/ protocol may not work. To force installing plugins into standard location \
                     use -DKDE_INSTALL_USE_QT_SYS_PATHS=true")
endif()


# ===== ACL support =====

check_include_files(attr/libattr.h HAVE_ATTR_LIBATTR_H)
check_include_files(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_files(sys/acl.h HAVE_SYS_ACL_H)
check_include_files(acl/libacl.h HAVE_ACL_LIBACL_H)

if (HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)
    set(ACL_HEADERS_FOUND TRUE)
endif(HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)

if (ACL_HEADERS_FOUND)
    find_library(ACL_LIBS NAMES acl)
    find_library(ATTR_LIBS NAMES attr)
endif(ACL_HEADERS_FOUND)

if (ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)
    set(ACL_FOUND TRUE)
    set(ACL_LIBS ${ACL_LIBS} ${ATTR_LIBS})
    message(STATUS "Found ACL support: ${ACL_LIBS}")
    add_definitions(-DHAVE_POSIX_ACL)
endif(ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)


# ===== Compile options =====

if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -fno-common -ansi -Wpedantic -Wconversion -Wpointer-arith \
                         -Wcast-qual -Wcast-align -Wwrite-strings -Wsuggest-override -Wfloat-equal \
                         -Woverloaded-virtual -Wundef -Wlogical-op -Wuninitialized -Wredundant-decls -Wnoexcept \
                         -Wnon-virtual-dtor -Wctor-dtor-privacy -Wzero-as-null-pointer-constant" CACHE STRING "" FORCE)
endif()

remove_definitions(-DQT_NO_KEYWORDS  -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

# ===== Subdirectories =====

add_subdirectory(app)
add_subdirectory(doc/handbook)
add_subdirectory(plugins/iso)
add_subdirectory(plugins/krarc)


# ===== Translations =====

ki18n_install(po)
kdoctools_install(po)

# ==== clang-format target and commit hook ====

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# ===== Output configuration =====

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20251019.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:51:19 +0000

=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libacl1-dev,
               libattr1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.krusader.org
Vcs-Git: https://invent.kde.org/neon/extras/krusader.git
Vcs-Browser: https://invent.kde.org/neon/extras/krusader
Maintainer: Neon CI <neon@kde.org>

Package: krusader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kio-extras
Suggests: arj,
          ark,
          bzip2,
          cpio,
          kate,
          kdiff3 | kompare | xxdiff,
          kmail,
          konsole,
          krename,
          lha,
          md5deep | cfv,
          okteta,
          p7zip,
          rpm,
          unace,
          unrar | unrar-free | rar [amd64 i386],
          unzip,
          zip
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

=== debian/watch ===
version=4
http://download.kde.org/stable/krusader/([\d\.]+)/krusader-([\d\.]+)\.tar\.xz

## krusader 2.9.0+p24.04+vstable+git20260123.0244

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20260123.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:44:39 +0000

## krusader 2.9.0+p24.04+vstable+git20260129.0043

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20260129.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:43:18 +0000

## krusader 2.9.0+p24.04+vunstable+git20251201.0017

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20251201.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 00:18:06 +0000

## krusader 2.9.0+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:07:54 +0000

## krusader 2.9.0+p24.04+vunstable+git20251225.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 project(krusader)
 
-set(VERSION "2.9.1-dev")
-set(RELEASE_NAME "Sixth Life")
+set(VERSION "2.10.0-dev")
+set(RELEASE_NAME "Bleeding Edge")
 
 set(CMAKE_CXX_STANDARD 17)
 
@@ -65,6 +65,7 @@
   XmlGui
   GuiAddons
   StatusNotifierItem
+  ColorScheme
 )

## krusader 2.9.0+p24.04+vunstable+git20251228.0020

=== app/DiskUsage/CMakeLists.txt ===
--- 
+++ 
@@ -20,4 +20,5 @@
     KF6::KIOCore
     KF6::KIOWidgets
     KF6::WidgetsAddons
+    KF6::ColorScheme
 )

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20251228.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Dec 2025 00:20:43 +0000

## krusader 2.9.0+p24.04+vunstable+git20260201.0819

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20260201.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:19:45 +0000

## krusader 2.9.0+p24.04+vunstable+git20260204.0024

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20260204.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:24:15 +0000
